#include "validation.h"
#include "binary_speakers_validator.hpp"

int main(int argc, char **argv) {
    // Set up the input and answer streams.
    std::ifstream in(argv[1]);
    std::ifstream ans(argv[2]); // Only for custom checker.

    OutputValidator v(argc, argv);

    v.check(binary_speakers::process_input(
        in,
        [&](const pair<binary_speakers::TruthTable, int>& input_case){
            const auto& tt = input_case.first;
            const auto& k = input_case.second;
            // oficial answer
            string oficial_answer;
            ans >> oficial_answer;
            pair<string,string> parsed_oficial_answer = binary_speakers::parse_output_line(oficial_answer);
            // contestant answer
            string contestant_answer = v.read_string("answer", 2, 1e7);
            v.newline();
            pair<string,string> parsed_contestant_answer = binary_speakers::parse_output_line(contestant_answer);
            // verify
            try {
                return binary_speakers::verify_case(tt, k, parsed_oficial_answer, parsed_contestant_answer);
            } catch(std::exception &e) {
                return false;
            }
        }
    ), "WA");

    return 0;
}
