import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.StringTokenizer;

public class BinarySpeakers {
    static BufferedReader reader;
    static StringTokenizer tokenizer;
    static PrintWriter writer;

    static String nextToken() throws IOException {
        while (tokenizer == null || !tokenizer.hasMoreTokens()) {
            tokenizer = new StringTokenizer(reader.readLine());
        }
        return tokenizer.nextToken();
    }

    static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static void main(String[] args) throws IOException {
        reader = new BufferedReader(new InputStreamReader(System.in));
        tokenizer = null;
        writer = new PrintWriter(System.out);
        solve();
        reader.close();
        writer.close();
    }

    private static void solve() throws IOException {
        int n = nextInt();
        for (int i = 0; i < n; i++) {
            solveOne();
        }
    }

    private static void solveOne() throws IOException {
        int k = nextInt();
        int z = nextInt();

        HashSet<Integer> hz = new HashSet<>();
        for (int i = 0; i < z; i++) {
            int x = 0;
            for (int j = 0; j < k; j++) {
                int t = nextInt();
                x |= (t << j);
            }
            hz.add(x);
        }

        int lim = (1 << k);
        Map<Integer, Integer> dupa = new HashMap<>();
        for (int msk = 0; msk < lim; msk++) {
            if (hz.contains(msk)) {
                dupa.put(msk, 0);
            } else {
                dupa.put(msk, 1);
            }
        }

        String s = go(k, 0, dupa);
        if (!s.equals("no")) {
            s = "yes," + s;
        }
        writer.println(s);
    }

    static String simpleMatch(int k, Map<Integer, Integer> dupa) {
        for (int i = 0; i < k; i++) {
            boolean ok = true;
            for (int msk : dupa.keySet()) {
                int res = dupa.get(msk);
                if (((msk >> i) & 1) != res) {
                    ok = false;
                    break;
                }
            }
            if (ok) {
                return "pi" + (i + 1) + "(x)";
            }
        }
        return "no";
    }

    private static String go(int k, int i, Map<Integer, Integer> dupa) {
        String sim = simpleMatch(k, dupa);
        if (!sim.equals("no")) {
            return sim;
        }
        if (i == k) {
            return "no";
        }

        StringBuilder ans = new StringBuilder();
        ans.append("s(pi").append(i + 1).append("(x)");
        Map<Integer, Integer> dupa0 = new HashMap<>();
        Map<Integer, Integer> dupa1 = new HashMap<>();
        for (int msk : dupa.keySet()) {
            int res = dupa.get(msk);
            if (((msk >> i) & 1) == 0) {
                dupa0.put(msk, res);
            } else {
                dupa1.put(msk, res);
            }
        }
        ans.append(",");
        boolean allOnes = true;
        for (int val : dupa1.values()) {
            if (val != 1) {
                allOnes = false;
                break;
            }
        }
        if (allOnes) {
            ans.append("pi").append(i + 1).append("(x)");
        } else {
            String s1 = go(k, i + 1, dupa1);
            if (s1.equals("no")) {
                return "no";
            }
            ans.append(s1);
        }
        ans.append(",");

        boolean allZeroes = true;
        for (int val : dupa0.values()) {
            if (val != 0) {
                allZeroes = false;
                break;
            }
        }
        if (allZeroes) {
            ans.append("pi").append(i + 1).append("(x)");
        } else {
            String s2 = go(k, i + 1, dupa0);
            if (s2.equals("no")) {
                return "no";
            }
            ans.append(s2);
        }
        ans.append(")");
        return ans.toString();
    }
}