import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.util.StringTokenizer;

public class CuttingCake {
    static BufferedReader reader;
    static StringTokenizer tokenizer;
    static PrintWriter writer;

    static String nextToken() throws IOException {
        while (tokenizer == null || !tokenizer.hasMoreTokens()) {
            tokenizer = new StringTokenizer(reader.readLine());
        }
        return tokenizer.nextToken();
    }

    static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static void main(String[] args) throws IOException {
        reader = new BufferedReader(new InputStreamReader(System.in));
        tokenizer = null;
        writer = new PrintWriter(System.out);
        solve();
        reader.close();
        writer.close();
    }

    private static void solve() throws IOException {
        int k = nextInt();
        int s = nextInt();
        int ans = Integer.MAX_VALUE;
        if (s == 0) {
            for (int a = 1; a * a <= k; a++) {
                if (k % a == 0) {
                    int b = k / a;
                    int cand = a + b - 2;
                    if (cand < ans) {
                        ans = cand;
                    }
                }
            }
        } else {
            int limit = 1000000;
            int from = Math.max(1, (int) Math.sqrt(k) - limit);
            int to = Math.min(k, (int) (Math.sqrt(k)) + limit);
            for (int a = from; a <= to; a++) {
                int b = (k + a - 1) / a;
                if (can(a, b, k, s)) {
                    int cand = a + b - 2;
                    if (cand < ans) {
                        ans = cand;
                    }
                }
            }
        }
        writer.println(ans);
    }

    private static boolean can(int a, int b, int k, int s) {
        return (100L - s) * a * b <= 100L * k;
    }
}