import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.util.HashMap;
import java.util.StringTokenizer;

public class EpicPartyOnABoat {
    static BufferedReader reader;
    static StringTokenizer tokenizer;
    static PrintWriter writer;

    static String nextToken() throws IOException {
        while (tokenizer == null || !tokenizer.hasMoreTokens()) {
            tokenizer = new StringTokenizer(reader.readLine());
        }
        return tokenizer.nextToken();
    }

    static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static void main(String[] args) throws IOException {
        reader = new BufferedReader(new InputStreamReader(System.in));
        tokenizer = null;
        writer = new PrintWriter(System.out);
        solve();
        reader.close();
        writer.close();
    }

    private static void solve() throws IOException {
        int n = nextInt();
        writer.println(go(1, n));
    }

    static HashMap<Integer, Integer> mem = new HashMap<>();

    private static int go(int from, int to) {
        if (from > to) return 0;
        if (from == to) {
            return from;
        }
        int h = from * 1000 + to;
        if (mem.containsKey(h)) return mem.get(h);
        int ans = Integer.MAX_VALUE;
        for (int i = from; i <= to; i++) {
            int curr = i + Math.max(go(from, i - 1), go(i + 1, to));
            ans = Math.min(ans, curr);
        }
        mem.put(h, ans);
        return ans;
    }
}