import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.util.StringTokenizer;
import java.util.ArrayList;
import java.util.TreeSet;
import java.util.TreeMap;
import java.util.Collections;

public class HastyGuesses {
    static BufferedReader reader;
    static StringTokenizer tokenizer;
    static PrintWriter writer;

    static String nextToken() throws IOException {
        while (tokenizer == null || !tokenizer.hasMoreTokens()) {
            tokenizer = new StringTokenizer(reader.readLine());
        }
        return tokenizer.nextToken();
    }

    static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static void main(String[] args) throws IOException {
        reader = new BufferedReader(new InputStreamReader(System.in));
        tokenizer = null;
        writer = new PrintWriter(System.out);
        solve();
        reader.close();
        writer.close();
    }

    private static void solve() throws IOException {
        int n = nextInt();
        int k = nextInt();
        int ans = 1_000_000_000;
        int ans2 = 1_000_000_000;
        TreeMap<Integer, TreeSet<Integer>> l = new TreeMap();
        for (int i = 0; i < n; i++) {
            int x = nextInt();
            int diff = Math.abs(x-k);
            if (l.containsKey(diff)) {
                l.get(diff).add(x);
            } else {
                TreeSet<Integer> s = new TreeSet();
                s.add(x);
                l.put(diff, s);
            }
        }

        Object[] diffs = l.keySet().toArray();

        TreeSet<Integer> c = l.get(diffs[0]);

        if (c.size() > 1) {
            writer.println(c.toArray()[1]);   
        } else {
            TreeSet<Integer> c2 = l.get(diffs[1]);
            writer.println(c2.toArray()[0]);   
        } 
    }
}
