import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.util.StringTokenizer;

public class InternationalInterpolation {
    static BufferedReader reader;
    static StringTokenizer tokenizer;
    static PrintWriter writer;

    static String nextToken() throws IOException {
        while (tokenizer == null || !tokenizer.hasMoreTokens()) {
            tokenizer = new StringTokenizer(reader.readLine());
        }
        return tokenizer.nextToken();
    }

    static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static void main(String[] args) throws IOException {
        reader = new BufferedReader(new InputStreamReader(System.in));
        tokenizer = null;
        writer = new PrintWriter(System.out);
        solve();
        reader.close();
        writer.close();
    }

    private static void solve() throws IOException {
        int n = nextInt();
        for (int i = 0; i < n; i++) {
            solveOne();
        }
    }

    private static void solveOne() throws IOException {
        char[] s = nextToken().toCharArray();
        int n = s.length;
        for (int i = 1; i < n; i++) {
            if (s[i - 1] == '#' && s[i] == '#') {
                writer.println("impossible");
                return;
            }
        }
        for (int i = 0; i < n; i++) {
            if (s[i] == '#') {
                if (i == 0) {
                    s[i] = 'a';
                } else if (i == n - 1) {
                    s[i] = 'z';
                } else {
                    s[i] = (char) ((s[i - 1] + s[i + 1]) / 2);
                }
            }
        }
        writer.println(new String(s));
    }
}