import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.util.*;

public class JustInTime {
    static BufferedReader reader;
    static StringTokenizer tokenizer;
    static PrintWriter writer;

    static String nextToken() throws IOException {
        while (tokenizer == null || !tokenizer.hasMoreTokens()) {
            tokenizer = new StringTokenizer(reader.readLine());
        }
        return tokenizer.nextToken();
    }

    static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static void main(String[] args) throws IOException {
        reader = new BufferedReader(new InputStreamReader(System.in));
        tokenizer = null;
        writer = new PrintWriter(System.out);
        solve();
        reader.close();
        writer.close();
    }

    static final long MULT = 2_000_000_000;

    private static void solve() throws IOException {
        int n = nextInt();
        List<Order> orders = new ArrayList<>();
        for (int i = 0; i < n; i++) {
            int a = nextInt();
            int c = nextInt();
            int b = nextInt();
            orders.add(new Order(a, b, c));
        }

        orders.sort(Comparator.comparingInt(o -> o.a - o.b - o.c));

        TreeSet<Long> people = new TreeSet<>();
        for (Order o : orders) {
            long from = o.a - o.b - o.c;
            long until = o.a - o.b;
            if (!tryReuse(people, from, until)) {
                people.add(until * MULT + people.size());
            }
        }
        writer.println(people.size());
    }

    private static boolean tryReuse(TreeSet<Long> people, long from, long until) {
        if (people.isEmpty()) {
            return false;
        }
        long first = people.first();
        long tm = people.first() / MULT;
        if (tm <= from) {
            people.remove(first);
            long num = first % MULT;
            people.add(until * MULT + num);
            return true;
        }
        return false;
    }

    static class Order {
        int a;
        int b;
        int c;

        public Order(int a, int b, int c) {
            this.a = a;
            this.b = b;
            this.c = c;
        }
    }
}