#!/usr/bin/python3

import sys

global_tt = (1<<12) * [True]

def make_proj_expr(i):
    return "pi%d(x)" % (i)

def make_s_expr(t, f1, f2):
    return "s(%s,%s,%s)" % (t, f1, f2)

def to_dec(list_of_bits):
    return sum([i * (2**n) for i, n in zip(list_of_bits, reversed(range(0, len(list_of_bits))))])

def make_tt(zero_inputs, k):
    for i in range(0, 1<<k):
        if i in zero_inputs:
            global_tt[i] = False
        else:
            global_tt[i] = True

def check_expressible(tt, k):
    return (not tt[0]) and (tt[2**k-1])

def first_pos_with(suffix_fixed, val, k):
    return (next(i for i,v in enumerate(suffix_fixed) if v == val)) + 1 + (k - len(suffix_fixed))

def make_expr(tt, suffix_fixed, k):
    if len(suffix_fixed) == k:
        pos = first_pos_with(suffix_fixed, tt[to_dec(suffix_fixed)], k)
        return make_proj_expr(pos)

    current_fixing_position = len(suffix_fixed) + 1

    ftest = make_proj_expr(k - current_fixing_position + 1)
    fone  = make_expr(tt, [1] + suffix_fixed, k)
    fzero = make_expr(tt, [0] + suffix_fixed, k)

    return make_s_expr(ftest, fone, fzero)
    
N = int(sys.stdin.readline())

while N > 0:
    k, z = list(map(int, sys.stdin.readline().split(' ')))
    zero_inputs = list() 
    while z > 0:
        zero_inputs.append(list(map(int, sys.stdin.readline().split(' '))))
        z -= 1
    zero_inputs = list(map(to_dec, zero_inputs))
    make_tt(zero_inputs, k)

    if check_expressible(global_tt, k):
        expr = make_expr(global_tt, [], k)
        print("yes,%s" % expr)
    else:
        print("no")

    N -= 1
